%define aspell_ver 0.60
%define sourcename spell-uk-%{version}

Name:		aspell-uk
Summary:	Aspell spelling dictionary for Ukrainian
Version:	1.2
Release:	alt2
Group:		System/Internationalization
URL:		http://ispell-uk.sourceforge.net/
Source:		%{sourcename}.tgz
License:	GPL and LGPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

#arch-dependent(byte-order)?
#BuildArch:	noarch
#ExcludeArch:	ia64

# Automatically added by buildreq on Thu Jan 18 2007
BuildRequires: aspell perl-Encode perl-PerlIO

Requires:	aspell >= %aspell_ver
BuildRequires:	aspell >= %aspell_ver
#iconv

Provides: aspell-dictionary

%description
This is ukrainian dictionary for spellchecking with aspell program

%prep
%setup -q -n %{sourcename}

%build
%make aspell

%install
#rm -fr $RPM_BUILD_ROOT
%make install-aspell-dict PREFIX=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
%doc README README.uk TODO Copyright COPYING.GPL COPYING.LGPL
%{_datadir}/aspell/*
%{_libdir}/aspell*/uk*
%{_libdir}/aspell*/koi8-u-nl*

%changelog
* Sun Jan 21 2007 Igor Vlasenko <viy@altlinux.ru> 1.2-alt2
- packaged .dat file

* Thu Jan 18 2007 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1
- Release 1.2

* Tue Jul 20 2004 Vital Khilko <vk@altlinux.ru> 0.60-alt1
- special nonofficial version for aspell 0.6

* Fri Apr 23 2004 Vital Khilko <vk@altlinux.ru> 0.50-alt3
- fixed #3957

* Mon Oct 20 2003 Vital Khilko <vk@altlinux.ru> 0.50-alt2
- fix dependencies

* Tue Sep 16 2003 Vital Khilko <vk@altlinux.ru> 0.50-alt1
- New official package from aspell.net
